Skip to main content
`Ctrl`+`K`

# PetscDAEnsembleApplyTInverse

Apply T^{-1} to a vector [Alg 6.4 line 8]

## Synopsis

    PetscErrorCode PetscDAEnsembleApplyTInverse(PetscDA da, Vec sdel, Vec w)

Collective

## Input Parameters

- da - the `PetscDA` context

- sdel - input vector S^T-delta

## Output Parameter

- w - output vector w = T^{-1} * sdel

## Notes

This function applies the inverse of T = I + S^T S using the stored factorization. For CHOLESKY mode, it uses triangular solves. For EIGEN mode, it uses the eigendecomposition (T^{-1} = V D^{-1} V^T).

## See Also

PetscDA: Data Assimilation, `PetscDA`, `PETSCDAETKF`, `PETSCDALETKF`, `PetscDAEnsembleTFactor()`, `PetscDAEnsembleApplySqrtTInverse()`

## Level

advanced

## Location

src/ml/da/impls/ensemble/daensemble.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages